# frozen_string_literal: true

# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!

require "gapic/common"
require "gapic/config"
require "gapic/config/method"

require "google/cloud/gke_hub/v1beta1/version"

require "google/cloud/gke_hub/v1beta1/gke_hub_membership_service/credentials"
require "google/cloud/gke_hub/v1beta1/gke_hub_membership_service/paths"
require "google/cloud/gke_hub/v1beta1/gke_hub_membership_service/operations"
require "google/cloud/gke_hub/v1beta1/gke_hub_membership_service/client"

module Google
  module Cloud
    module GkeHub
      module V1beta1
        ##
        # GKE Hub CRUD API for the Membership resource.
        # The Membership service is currently only available in the global location.
        #
        # To load this service and instantiate a client:
        #
        #     require "google/cloud/gke_hub/v1beta1/gke_hub_membership_service"
        #     client = ::Google::Cloud::GkeHub::V1beta1::GkeHubMembershipService::Client.new
        #
        module GkeHubMembershipService
        end
      end
    end
  end
end

helper_path = ::File.join __dir__, "gke_hub_membership_service", "helpers.rb"
require "google/cloud/gke_hub/v1beta1/gke_hub_membership_service/helpers" if ::File.file? helper_path
